DROP COLLATION(7)

NAME
DROP_COLLATION - remove a collation

SYNOPSIS

DROP COLLATION [ IF EXISTS ] name [ CASCADE | RESTRICT ]

DESCRIPTION

DROP COLLATION removes a previously defined collation. To be able to drop a collation, you must own the collation.

PARAMETERS

IF EXISTS
    Do not throw an error if the collation does not exist. A notice is issued in this case.

name
    The name of the collation. The collation name can be schema-qualified.

CASCADE
    Automatically drop objects that depend on the collation, and in turn all objects that depend on those objects (see Section 5.17).

RESTRICT
    Refuse to drop the collation if any objects depend on it. This is the default.

EXAMPLES

To drop the collation named german:

    DROP COLLATION german;

COMPATIBILITY

The DROP COLLATION command conforms to the SQL standard, apart from the IF EXISTS option, which is a PostgreSQL extension.

SEE ALSO
ALTER COLLATION (ALTER_COLLATION(7)), CREATE COLLATION (CREATE_COLLATION(7))